image: "ubuntu:18.04"


workflow:
  rules:
    - if: $CI_COMMIT_BRANCH == 'master'
      when: never # we can't push directly to master so skip CI...
    - when: always # ...but default to running CI otherwise

before_script:
  - apt-get update && apt-get install -y python3-nose python3-lxml python3-yaml

tests:
  script:
    - nosetests3 -w tests/
